Skip to content

List inbound endpoints

GET
/v1/inbound-endpoints
curl --request GET \
--url 'https://api.hookbridge.io/v1/inbound-endpoints?limit=50' \
--header 'Authorization: Bearer <token>'

List all inbound endpoints for the authenticated project. Supports cursor-based pagination.

limit
integer
default: 50 >= 1 <= 100

Maximum number of results to return

Example
50
cursor
string

Pagination cursor from previous response

Inbound endpoints retrieved successfully

Media typeapplication/json
object
data
Array<object>

Summary inbound endpoint info for list responses

object
id
string format: uuid
name
string
url
string format: uri
mode

Endpoint mode. forward delivers to URL. cli streams to CLI tool.

string
Allowed values: forward cli pull
ephemeral

Whether this is an ephemeral (CI/test) endpoint

boolean
expires_at

When the ephemeral endpoint will auto-expire (only present for ephemeral endpoints)

string format: date-time
active
boolean
paused
boolean
created_at
string format: date-time
meta
object
request_id

Unique identifier for this request (useful for support)

string
next_cursor

Cursor for the next page of results (opaque, do not parse)

string
Example
{
"data": [
{
"id": "01935abc-def0-7123-4567-890abcdef012",
"name": "Stripe webhooks",
"url": "https://myapp.com/webhooks/stripe",
"active": true,
"paused": false,
"created_at": "2025-12-01T10:00:00Z"
}
],
"meta": {
"request_id": "req_xyz123",
"next_cursor": null
}
}

Unauthorized - Invalid or missing API key

Media typeapplication/json
object
error
object
code

Machine-readable error code

string
message

Human-readable error message

string
meta
object
request_id

Unique identifier for this request (useful for support)

string
Example
{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
},
"meta": {
"request_id": "req_xyz123"
}
}
Personalize Examples

Enter your credentials to populate code examples throughout the docs.